%define name swfdec
%define version 0.3.2
%define major 0.3
%define libname %mklibname %name %{major}
%define mozver 1.0.1
Name:		%name
Version:	%version
Release: 3mdk
Summary:	Flash animations rendering library
Group:		System/Libraries
License:	LGPL
URL:		http://swfdec.sourceforge.net/
Source:		http://www.schleef.org/swfdec/download/%{name}-%{version}.tar.bz2
Patch:		swfdec-0.3.2-firefox.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:  mozilla-firefox-devel >= %mozver
BuildRequires:  libart_lgpl-devel
BuildRequires:  libmad-devel
BuildRequires:  SDL-devel
BuildRequires:  gimp2-devel
BuildRequires:	liboil-devel >= 0.2
#BuildRequires:	autoconf2.5 >= 2.52
Prereq:		%_bindir/gdk-pixbuf-query-loaders 
Requires:	gtk+2.0 >= 2.4.4-5mdk

%description
Libswfdec is a library for rendering Flash animations. Currently it
handles mostFlash 3 animations and some Flash 4. No interactivity is
supported yet.

%package -n %libname
Summary: Shared library for decoding Flash animations
Group: System/Libraries

%description -n %libname
Libswfdec is a library for rendering Flash animations. Currently it
handles mostFlash 3 animations and some Flash 4. No interactivity is
supported yet.

This package contains the shared library needed to run libswfdec
applications.

%package -n %libname-devel
Summary:	Swfdec development files and static libraries
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libswfdec-devel = %version-%release
Provides:	swfdec-devel = %version-%release

%description -n %libname-devel
This contains the files needed to build packages that depend on
swfdec.

%package mozilla
Summary: Mozilla compatible plugin for Flash rendering
Group:   Networking/WWW
Requires: %name = %version-%release

%description mozilla
This is a Mozilla compatible plugin for rendering of Flash animations
based on the swfdec library. It should work as well in other browsers.


%package gimp
Summary: Gimp plugin for Flash rendering
Group:   Networking/WWW
Requires: %name = %version-%release

%description gimp
This is a gimp plugin for the import Flash animations based on the swfdec
library.

%prep
%setup -q 
%patch -p1
autoconf

%build
export CFLAGS="%optflags -DMOZ_X11"
%configure2_5x --enable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall plugindir=%buildroot/%_libdir/mozilla/plugins
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f %buildroot%{_libdir}/gtk-2.0/2.4.0/loaders/swf_loader.*a
rm -f %buildroot%_sysconfdir/gtk-2.0/gdk-pixbuf.loaders
#
mv %buildroot%{_libdir}/gimp/1.3 %buildroot%{_libdir}/gimp/2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib

%postun
%_bindir/gdk-pixbuf-query-loaders %_lib > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders.%_lib


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS README TODO RELEASE
%{_bindir}/swf_play
%{_libdir}/gtk-2.0/2.4.0/loaders/swf_loader.so


%files -n %libname
%defattr(-,root,root)
%{_libdir}/libswfdec-%major.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libswfdec-%major.a
%{_libdir}/libswfdec-%major.so
%{_libdir}/pkgconfig/swfdec-%major.pc
%dir %{_includedir}/swfdec-%major/
%{_includedir}/swfdec-%major/*

%files mozilla
%defattr(-,root,root)
%doc COPYING
%{_libdir}/mozilla/plugins/libmozswfdec.so*

%files gimp
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gimp/2.0/plug-ins/swf

%changelog
* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-3mdk
- build with firefox

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-2mdk
- rebuild for new gimp

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- fix file list
- source URL
- add gimp plugin package
- major 0.3
- needs liboil and gimp
- drop all patches
- new source location
- new version

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.2-8mdk
- libtool fixes

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-7mdk
- biarch support

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-6mdk
- fix deps of the mozilla plugin

* Mon May 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-5mdk
- mozilla plugin doesn't require mozilla

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-4mdk
- fix gtk directory
- 64-bit fixes

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-3mdk
- fix buildrequires

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- rebuild for new mozilla and new rpm

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- new version

* Tue May 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-5mdk
- adapt required mozilla version
- patch to make it build with mozilla 1.4b

* Thu May  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-4mdk
- buildrequires

* Wed May  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-3mdk
- fix build with latest mozilla
- fix distriblint warning

* Thu Feb  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- replace the conflict with gtk+2.0 package with post scripts

* Thu Feb  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- fix buildrequires
- add the gdk_pixbuf loader to the main package
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- add missing header
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-3mdk
- move plugin to %{_libdir}/mozilla/plugins (fcrozat)

* Tue Dec 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-2mdk
- build against new mozilla

* Thu Dec  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- clean unused static library
- fix buildrequires
- use the mklibname macro
- new mozilla 
- new version

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- initial Mandrake package

* Sat Oct 26 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- First attempt at spec
